Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
CustomEncryptData Class Reference
Inheritance diagram for CustomEncryptData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (is_encrypt_metadata, filter, sub_filter)
| Constructor, with parameters. More...
| Set (is_encrypt_metadata, filter, sub_filter)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| filter
| The filter name of a custom security callback object. It should not be an empty string.
| is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## Detailed Description

This class represents some data used for class CustomSecurityHandler.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

CustomEncryptData.constructor | ( | is_encrypt_metadata | ,
|  | filter | ,
|  | sub_filter |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ Set()

CustomEncryptData.Set | ( | is_encrypt_metadata | ,
|  | filter | ,
|  | sub_filter |
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.